PLMESH(3)

NAME
plmesh - Plot surface mesh

SYNOPSIS
plmesh(x, y, z, nx, ny, opt)

DESCRIPTION

Plots a surface mesh within the environment set up by plw3d(3). The surface is defined by the matrix z[nx][ny] , the point z[i][j] being the value of the function at (x[i], y[j]). Note that the points in vectors x and y do not need to be equally spaced, but must be stored in ascending order. The parameter opt controls the way in which the surface is displayed. For further details see the PLplot documentation.

Redacted form: plmesh(x, y, z, opt)

This function is used in example 11.

ARGUMENTS

x (PLFLT_VECTOR(3), input)
    A vector containing the x coordinates at which the function is evaluated.

y (PLFLT_VECTOR(3), input)
    A vector containing the y coordinates at which the function is evaluated.

z (PLFLT_MATRIX(3), input)
    A matrix containing function values to plot. Should have dimensions of nx by ny.

nx (PLINT(3), input)
    Number of x values at which function has been evaluated.

ny (PLINT(3), input)
    Number of y values at which function has been evaluated.

opt (PLINT(3), input)
    Determines the way in which the surface is represented: opt=DRAW_LINEX : Lines are drawn showing z as a function of x for each value of y[j] . opt=DRAW_LINEY : Lines are drawn showing z as a function of y for each value of x[i] . opt=DRAW_LINEXY : Network of lines is drawn connecting points at which function is defined.

AUTHORS
Many developers (who are credited at http://plplot.sourceforge.net/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.sourceforge.net/documentation.php.